QwtPickerPolygonMachine(3)

NAME
QwtPickerPolygonMachine -

SYNOPSIS

Inherits QwtPickerMachine.

Detailed Description

A state machine for polygon selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 146 of file qwt_picker_machine.h.

  Public Member Functions
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerPolygonMachine::transition (const QwtEventPattern &, const QEvent *) [virtual]

Transition.

Implements QwtPickerMachine.

Definition at line 300 of file qwt_picker_machine.cpp.

References QwtEventPattern::mouseMatch(), QwtPickerMachine::setState(), and QwtPickerMachine::state().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.